Security Advisory

Back to advisories

CSRF token leakage (oC-SA-2013-027)

14th May 2013

Risk level: Medium

Description

The configuration loader in ownCloud 5.0.x before 5.0.6 includes private data such as CSRF tokens in a JavaScript file, which allows remote attackers to obtain sensitive information.

Affected Software

  • ownCloud Server < 5.0.6 (CVE-2013-2086)

Action Taken

It is recommended that all instances are upgraded to ownCloud Server 5.0.6.

Acknowledgements

The ownCloud team thanks the following people for their research and responsible disclosure of the above advisory:

  • Lukas Reschke - ownCloud Inc. (lukas@owncloud.org) - Vulnerability discovery and disclosure.